Subject: [BUG] PandaBoard hangs before starting init while booting v3.12

From: [email-masked] (Tony Lindgren)
Date: Wed, 20 Nov 2013 10:35:49 -0800

* Ben Gamari <[email-masked]> [131119 19:07]:
> Chao Xu <[email-masked]> writes:
> 
> > Hi,
> >
> > I also try to boot v3.12 on my pandaboard rev A2, but it hangs at
> > "starting kernel". My SD card is originally loaded with a linaro 12.04
> > ubuntu-developer image. I have tried with v3.7 and v3.8 uImage and
> > both of them work normally, but v3.12 hangs. Is there any trick I
> > missed? Do I need to use the new u-boot as used by Ben?
> >
> I've written up some of my experiences bringing up 3.12 on the
> PandaBoard here[1]. You may find it helpful. Regardless, I would
> definitely try upgrading u-boot.

Nice investigative blogging :)

Care to also update it with the other issues remaining on pandaboard?
Sounds like we're pretty close to having things working nicely with
mainline kernel on it, so let's just fix those issues ASAP.

I'm aware of at least two issues:

1.  The WLAN not working after a soft reset, or if the interface is
    reset with ifconfig down. This could be a typo somewhere in the
    .dts file for the WLAN regulator or something like that.

2. Suspend and resume does not wake-up from serial console and spews
   a bunch of warnings. The wake-up issue can be fixed with the new
   the new interrupts-extended property to use the wake IRQs, I'll
   try to update my patches for that today.
 
> > And here is a separate problem with building u-boot. I cloned the
> > upstream u-boot repository. The latest commit is
> > c2e5e802ecb7ab668ce9911b210ed68c804b349f. Then I did:
> > make ARCH=arm CROSS_COMPILE=arm-linux-gnueabi- omap4_panda_config
> > make ARCH=arm CROSS_COMPILE=arm-linux-gnueabi- -j8
> > cp MLO u-boot.img /media/boot/
> > But when turn on my pandaboard, there is NO output from the serial
> > console. I didn't change the other file in the boot partition. They
> > are from linaro 12.04 ubuntu-developer image.
> >
> I would check that you have earlyprintk enabled (both in the kernel
> configuration as well as on the kernel command line). Moreover, ensure
> that the correct serial devices is selected for low-level debug output
> (in the kernel configuration).

I wonder if we also have some dependency to some earlier versions of
u-boot as u-boot now only muxes the essential pins?

Regards,

Tony

> [1] http://bgamari.github.io/posts/2013-11-17-running-modern-kernel-on-pandaboard.html